Index: pjproject/trunk/third_party/build/speex/libspeex.vcp
===================================================================
--- pjproject/trunk/third_party/build/speex/libspeex.vcp	(revision 1969)
+++ pjproject/trunk/third_party/build/speex/libspeex.vcp	(revision 2002)
@@ -8657,10 +8321,12 @@
 	"..\..\speex\libspeex\lpc.h"\
 	"..\..\speex\libspeex\lpc_bfin.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Debug"
+	"..\..\speex\win32\config.h"\
+	".\config.h"\
+	
+NODEP_CPP_LPC_C=\
+	"..\..\speex\libspeex\misc.h"\
+	
+
+!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Release"
 
 DEP_CPP_LPC_C=\
@@ -8689,25 +8355,33 @@
 	"..\..\speex\libspeex\lpc.h"\
 	"..\..\speex\libspeex\lpc_bfin.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Release"
+	"..\..\speex\win32\config.h"\
+	".\config.h"\
+	
+NODEP_CPP_LPC_C=\
+	"..\..\speex\libspeex\misc.h"\
+	
+
+!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
 
 DEP_CPP_LPC_C=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\config_site_sample.h"\
 	"..\..\..\pjlib\include\pj\log.h"\
 	"..\..\..\pjlib\include\pj\types.h"\
@@ -8721,39 +8395,10 @@
 	"..\..\speex\libspeex\lpc.h"\
 	"..\..\speex\libspeex\lpc_bfin.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
-	
-
-!ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
-
-DEP_CPP_LPC_C=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
-	"..\..\speex\libspeex\fixed_arm4.h"\
-	"..\..\speex\libspeex\fixed_arm5e.h"\
-	"..\..\speex\libspeex\fixed_bfin.h"\
-	"..\..\speex\libspeex\fixed_debug.h"\
-	"..\..\speex\libspeex\fixed_generic.h"\
-	"..\..\speex\libspeex\lpc.h"\
-	"..\..\speex\libspeex\lpc_bfin.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
+	"..\..\speex\win32\config.h"\
+	".\config.h"\
+	".\speex\speex_config_types.h"\
+	
+NODEP_CPP_LPC_C=\
+	".\misc.h"\
 	
 
@@ -8793,8 +8438,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -8827,8 +8474,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -8861,8 +8510,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -8895,8 +8546,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -8929,8 +8582,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -8963,8 +8618,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -8997,8 +8654,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9031,8 +8690,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9065,8 +8726,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9099,8 +8762,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9133,8 +8798,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9167,8 +8834,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9201,8 +8870,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9235,8 +8906,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9269,8 +8942,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9303,8 +8978,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9318,6 +8995,4 @@
 	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
 	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
 	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
@@ -9345,9 +9020,13 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	".\speex\speex_config_types.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9380,8 +9059,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9414,8 +9095,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9448,8 +9131,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9482,8 +9167,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9516,8 +9203,10 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9550,26 +9239,34 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_LSP_C=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
 
 DEP_CPP_LSP_C=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\config_site_sample.h"\
 	"..\..\..\pjlib\include\pj\log.h"\
 	"..\..\..\pjlib\include\pj\types.h"\
@@ -9584,8 +9281,11 @@
 	"..\..\speex\libspeex\lsp_bfin.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	".\speex\speex_config_types.h"\
+	
+NODEP_CPP_LSP_C=\
+	".\misc.h"\
 	
 
@@ -9684,8 +9384,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9722,8 +9424,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9760,8 +9464,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9798,8 +9504,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9836,8 +9544,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9874,8 +9584,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9912,8 +9624,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9950,8 +9664,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -9988,8 +9704,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10026,8 +9744,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10064,8 +9784,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10102,8 +9824,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10140,8 +9864,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10178,8 +9904,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10216,8 +9944,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10254,8 +9984,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10269,6 +10001,4 @@
 	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
 	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
 	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
@@ -10300,9 +10030,13 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	".\speex\speex_config_types.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10339,8 +10073,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10377,8 +10113,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10415,8 +10153,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10453,8 +10193,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10491,8 +10233,10 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
@@ -10529,26 +10273,34 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
 	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
 
 DEP_CPP_LTP_C=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\config_site_sample.h"\
 	"..\..\..\pjlib\include\pj\log.h"\
 	"..\..\..\pjlib\include\pj\types.h"\
@@ -10567,8 +10319,13 @@
 	"..\..\speex\libspeex\ltp_sse.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
+	"..\..\speex\libspeex\os_support.h"\
 	"..\..\speex\libspeex\stack_alloc.h"\
 	"..\..\speex\win32\config.h"\
 	".\config.h"\
+	".\speex\speex_config_types.h"\
+	
+NODEP_CPP_LTP_C=\
+	"..\..\speex\libspeex\os_support_custom.h"\
+	".\misc.h"\
 	
 
@@ -10578,26 +10335,28 @@
 # Begin Source File
 
-SOURCE=..\..\speex\libspeex\math_approx.c
+SOURCE=..\..\speex\libspeex\mdf.c
 
 !IF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII_FP) Release"
 
-DEP_CPP_MATH_=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
+DEP_CPP_MDF_C=\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\log.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
+	"..\..\speex\include\speex\speex_echo.h"\
+	"..\..\speex\include\speex\speex_types.h"\
+	"..\..\speex\libspeex\arch.h"\
+	"..\..\speex\libspeex\fftwrap.h"\
 	"..\..\speex\libspeex\fixed_arm4.h"\
 	"..\..\speex\libspeex\fixed_arm5e.h"\
@@ -10606,29 +10365,34 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
+	"..\..\speex\libspeex\pseudofloat.h"\
+	"..\..\speex\win32\config.h"\
+	".\config.h"\
+	
+NODEP_CPP_MDF_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII_FP) Debug"
 
-DEP_CPP_MATH_=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
+DEP_CPP_MDF_C=\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\log.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
+	"..\..\speex\include\speex\speex_echo.h"\
+	"..\..\speex\include\speex\speex_types.h"\
+	"..\..\speex\libspeex\arch.h"\
+	"..\..\speex\libspeex\fftwrap.h"\
 	"..\..\speex\libspeex\fixed_arm4.h"\
 	"..\..\speex\libspeex\fixed_arm5e.h"\
@@ -10637,29 +10401,34 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
+	"..\..\speex\libspeex\pseudofloat.h"\
+	"..\..\speex\win32\config.h"\
+	".\config.h"\
+	
+NODEP_CPP_MDF_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Release"
 
-DEP_CPP_MATH_=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
+DEP_CPP_MDF_C=\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\log.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
+	"..\..\speex\include\speex\speex_echo.h"\
+	"..\..\speex\include\speex\speex_types.h"\
+	"..\..\speex\libspeex\arch.h"\
+	"..\..\speex\libspeex\fftwrap.h"\
 	"..\..\speex\libspeex\fixed_arm4.h"\
 	"..\..\speex\libspeex\fixed_arm5e.h"\
@@ -10668,29 +10437,34 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\math_approx.h"\
-	"..\..\speex\libspeex\misc.h"\
-	"..\..\speex\win32\config.h"\
-	".\config.h"\
+	"..\..\speex\libspeex\pseudofloat.h"\
+	"..\..\speex\win32\config.h"\
+	".\config.h"\
+	
+NODEP_CPP_MDF_C=\
+	"..\..\speex\libspeex\misc.h"\
 	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Debug"
 
-DEP_CPP_MATH_=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\speex\include\speex\speex_types.h"\
-	"..\..\speex\libspeex\arch.h"\
+DEP_CPP_MDF_C=\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\log.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
+	"..\..\speex\include\speex\speex_echo.h"\
+	"..\..\speex\include\speex\speex_types.h"\
+	"..\..\speex\libspeex\arch.h"\
+	"..\..\speex\libspeex\fftwrap.h"\
 	"..\..\speex\libspeex\fixed_arm4.h"\
 	"..\..\speex\libspeex\fixed_arm5e.h"\
